package cn.iocoder.yudao.common;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 维修工单施工状态枚举
 *
 * @author vinjor-m
 */
@AllArgsConstructor
@Getter
public enum TicketsWorkStatusEnum {
    /**
     * 等待接单
     */
    WAITING_RECEIVING("01","等待接单"),
    /**
     * 已接单
     */
    RECEIVED("04","已接单"),
    /**
     * 施工中
     */
    DOING("02","施工中"),
    /**
     * 已完成
     */
    END("03","已完成"),

    /** 待终检 */
    END_CHECK("05", "待终检");

    /**
     * 角色code
     */
    private String code;
    /**
     * 角色名称
     */
    private String name;

    /**
     * 根据角色code返回对应的枚举
     * @author vinjor-M
     * @date 14:23 2024/10/16
     * @param code 角色code
     * @return cn.iocoder.yudao.common.SystemEnum
     **/
    public static TicketsWorkStatusEnum getRepairRole(String code) {
        for (TicketsWorkStatusEnum roleEnum : TicketsWorkStatusEnum.values()) {
            if (roleEnum.getCode().equalsIgnoreCase(code)) {
                // 找到对应的枚举
                return roleEnum;
            }
        }
        throw new IllegalArgumentException("无效的角色code：" + code);
    }

}
